Mailinglist Archive: opensuse-buildservice (81 mails)

< Previous Next >
Re: Worker code does not initialize correctly for older targets, was: Re: [opensuse-buildservice] Packages scheduled
On Sun, 18 Jun 2017 09:44:14 +0200
Stefan Botter <stefan@xxxxxxxxx> wrote:

On Fri, 16 Jun 2017 14:59:15 +0200
Stefan Botter <stefan@xxxxxxxxx> wrote:
There seems to be an incompatible change in the last published
worker code, which prohibits correct setup of the vm setup in the
worker instance for older build targets.

As there has been no change in worker code for the past weeks (at
least for obs-server 2.7.4), not the worker code is at fault, but most
probably the initrd generation with the past plymouth update from
approx Jun 12th, as this is the only other change since Jun 9th, when
kernel 4.4.70 was rolled out.
I went back to 4.4.62 (which was running with my workers built fine),
but not still no build is happening for older targets like oS 13.1 and
older.

I have another addition: it is entirely possible, that the kvm workers
do not set up correctly for quite a while, not just since a few days.
I stopped my chroot-workers last week due to the build errors with
openSUSE_Tumbleweed (where the rpmlint packages now probably needs
access to some hardware RNGs, which are not availabe in chroot), and
ran into the problem of the failing kvm workers with older targets.

chroot-workers build oS 13.1 and older fine.

All my kvm-workers are running openSUSE_Leap_42.2.


Greetings,

Stefan
--
Stefan Botter zu Hause
Bremen
< Previous Next >
Follow Ups